=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2009-03-19 03:58:36 +0000
+++ bzrlib/bzrdir.py	2009-06-10 02:22:58 +0000
@@ -3001,8 +3001,7 @@
             return ':%s:\n%s\n\n' % (key,
                 textwrap.fill(help, initial_indent='    ',
                     subsequent_indent='    ',
-                    break_long_words=False,
-                    break_on_hyphens=False))
+                    break_long_words=False))
         if default_realkey is not None:
             output += wrapped(default_realkey, '(default) %s' % default_help,
                               self.get_info('default'))

=== modified file 'bzrlib/help.py'
--- bzrlib/help.py	2009-03-19 03:58:36 +0000
+++ bzrlib/help.py	2009-06-10 02:22:58 +0000
@@ -97,8 +97,7 @@
         lines = textwrap.wrap(
             helpstring, subsequent_indent=indent,
             width=width,
-            break_long_words=False,
-            break_on_hyphens=False)
+            break_long_words=False)
         for line in lines:
             out.append(line + '\n')
     return ''.join(out)

=== modified file 'bzrlib/help_topics/__init__.py'
--- bzrlib/help_topics/__init__.py	2009-03-19 03:58:36 +0000
+++ bzrlib/help_topics/__init__.py	2009-06-10 02:22:58 +0000
@@ -208,8 +208,7 @@
 
     def add_string(proto, help, maxl, prefix_width=20):
        help_lines = textwrap.wrap(help, maxl - prefix_width,
-            break_long_words=False,
-            break_on_hyphens=False)
+            break_long_words=False)
        line_with_indent = '\n' + ' ' * prefix_width
        help_text = line_with_indent.join(help_lines)
        return "%-20s%s\n" % (proto, help_text)

=== modified file 'bzrlib/hooks.py'
--- bzrlib/hooks.py	2009-03-19 03:58:36 +0000
+++ bzrlib/hooks.py	2009-06-10 02:22:58 +0000
@@ -222,8 +222,7 @@
         strings.append('Deprecated in: %s' % deprecated_string)
         strings.append('')
         strings.extend(textwrap.wrap(self.__doc__,
-            break_long_words=False,
-            break_on_hyphens=False))
+            break_long_words=False))
         strings.append('')
         return '\n'.join(strings)
 

=== modified file 'tools/doc_generate/autodoc_man.py'
--- tools/doc_generate/autodoc_man.py	2009-03-19 03:58:36 +0000
+++ tools/doc_generate/autodoc_man.py	2009-06-10 02:22:58 +0000
@@ -129,7 +129,7 @@
                 wrapped = textwrap.fill(l, initial_indent='',
                     subsequent_indent=30*' ',
                     break_long_words=False,
-                    break_on_hyphens=False)
+                    )
                 option_str = option_str + wrapped + '\n'       
 
     aliases_str = ""

